### Virtual Method

# RB PlayerGstFilter add_filter

#### Declaration [src]

    gboolean
    add_filter (
      RBPlayerGstFilter* player,
      GstElement* element
    )

#### Description [src]

Adds a new filter to the playback pipeline. The filter may not be inserted immediately. The ‘filter-inserted’ signal will be emitted when this actually happens.

#### Parameters

`element`

  Type: `GstElement`

  New filter element (or bin) to add.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the filter will be added.